MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028812Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2017-06-05 12:282017-09-29 16:28
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028812: Regression. bugs modalg_6 bug28468_2 test case is crashed if CSF_FPE set to 1.
DescriptionRegression has been caused by integrated to master fix for issue 28346 at 02.05.2017.
Steps To Reproducebugs modalg_6 bug28468_2
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0067102)
git (administrator)
2017-06-06 11:15

Branch CR28812 has been created by ifv.

SHA-1: f4607561970575593525de192fad26e377419c8c


Detailed log of new commits:

Author: ifv
Date: Tue Jun 6 09:56:24 2017 +0300

    0028812: Regression. bugs modalg_6 bug28468_2 test case is crashed if CSF_FPE set to 1.
    
    Test the possibility of line creation is added
(0067103)
ifv (developer)
2017-06-06 11:17

Branch CR28812 is ready for review
(0067112)
git (administrator)
2017-06-06 12:11

Branch CR28812 has been updated forcibly by ifv.

SHA-1: 7f0f57c0896a0b7fbabeae8888115eba11d4e371
(0067114)
git (administrator)
2017-06-06 12:13

Branch CR28812 has been updated forcibly by ifv.

SHA-1: 59ab3515d8f2f3fb3a6f2d24eda8998bd552c175
(0067138)
msv (developer)
2017-06-06 16:48

Reviewed.
(0067205)
bugmaster (administrator)
2017-06-07 17:55

Branch CR28812 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: ab1280ae7fe729aaefb9ed7dfca6d8c34a2260f5

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1184

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
It seems all is OK. But compare operation crashed with message
*** Abort *** an exception was raised, but no catch was found.
    ... The exception is:SIGFPE Arithmetic exception detected
http://jenkins-test-10.nnov.opencascade.com/view/CR28812-CR28812/view/TESTING/job/CR28812-CR28812-OCCT-Debian70-64-opt-tests-compare-linux/1/console [^]
products component :
Total MEMORY difference: 33717613 / 33639153 [+0.23%]
Total CPU difference: 6167.320000000065 / 6199.250000000062 [-0.52%]
Testing on Windows:
occt component :
Total MEMORY difference: 58849191 / 58848397 [+0.00%]
Total CPU difference: 17352.88043569857 / 17514.55987209864 [-0.92%]
products component :
Total MEMORY difference: 24252078 / 24252089 [-0.00%]
Total CPU difference: 6173.505573500068 / 6213.956632800076 [-0.65%]

There are following differences in images found by testdiff.
No difference.
(0067353)
git (administrator)
2017-06-13 17:34

Branch CR28812 has been deleted by kgv.

SHA-1: 59ab3515d8f2f3fb3a6f2d24eda8998bd552c175

- Related Changesets
occt: master 5fdf69c9
Timestamp: 2017-06-06 06:56:24
Author: ifv
Committer: bugmaster
Details ] Diff ]
0028812: Regression. bugs modalg_6 bug28468_2 test case is crashed if CSF_FPE set to 1.

Test the possibility of line creation is added
mod - src/GCPnts/GCPnts_DistFunction.cxx Diff ] File ]
mod - src/GCPnts/GCPnts_DistFunction2d.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-06-05 12:28 bugmaster New Issue
2017-06-05 12:28 bugmaster Assigned To => msv
2017-06-05 12:29 bugmaster Status new => assigned
2017-06-05 12:51 msv Assigned To msv => ifv
2017-06-06 11:15 git Note Added: 0067102
2017-06-06 11:17 ifv Note Added: 0067103
2017-06-06 11:17 ifv Assigned To ifv => msv
2017-06-06 11:17 ifv Status assigned => resolved
2017-06-06 12:11 git Note Added: 0067112
2017-06-06 12:13 git Note Added: 0067114
2017-06-06 16:48 msv Note Added: 0067138
2017-06-06 16:48 msv Assigned To msv => bugmaster
2017-06-06 16:48 msv Status resolved => reviewed
2017-06-07 17:55 bugmaster Note Added: 0067205
2017-06-07 17:55 bugmaster Status reviewed => verified
2017-06-07 17:55 bugmaster Resolution open => fixed
2017-06-08 12:18 bugmaster Status verified => assigned
2017-06-08 12:18 bugmaster Assigned To bugmaster => msv
2017-06-08 12:18 bugmaster Status assigned => resolved
2017-06-08 12:18 bugmaster Assigned To msv => bugmaster
2017-06-08 12:18 bugmaster Status resolved => reviewed
2017-06-08 12:18 bugmaster Status reviewed => tested
2017-06-09 14:06 bugmaster Changeset attached => occt master 5fdf69c9
2017-06-09 14:06 bugmaster Status tested => verified
2017-06-13 17:34 git Note Added: 0067353
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:28 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker